#encoding:utf-8
from django.db.models import fields
from django.forms import ModelForm
from django import forms
# from numpy.core.umath import true_divide
from principal.models import *


class NuevoPacienteForm(forms.ModelForm):
    class Meta:
        model = Paciente


class NuevaDetenccionForm(forms.ModelForm):
    class Meta:
        model = Deteccion


class NuevoRespAtenForm(forms.ModelForm):
    #id_municipio = forms.ModelChoiceField( queryset=Municipio.objects.filter( id_estado = 27).order_by('nombre'))

    id_municipio = forms.ModelChoiceField(label="Municipio:", queryset=Municipio.objects.filter(id_estado = 27).order_by('nombre'), required=True,
                                   widget=forms.Select(attrs={'class': 'required span12'}))
    class Meta:
        model = Responsable_Atencion

        widgets = {
            'id_tipo_prof': forms.Select(attrs={'class': 'span12'}),
            #'id_municipio': forms.TextInput(attrs={'class': 'span12'}),
            'id_unidad_medica': forms.Select(attrs={'class': 'span12'}),
            'nombre': forms.TextInput(attrs={'class': 'span12'}),
            'ap_paterno': forms.TextInput(attrs={'class': 'span12'}),
            'ap_materno': forms.TextInput(attrs={'class': 'span12'}),
            'edad': forms.TextInput(attrs={'class': 'span12'}),
            'id_estatus': forms.Select(attrs={'class': 'span12'}),

            }


class UnidadMedicaForm(forms.ModelForm):
    # municipio = forms.IntegerField(widget=forms.Select(attrs={'class': 'span12'}))
    municipio = forms.ModelChoiceField(queryset=Municipio.objects.filter(id_estado=27).order_by('nombre'), widget=forms.Select(attrs={'class': 'span12'}))
    localidad = forms.IntegerField(widget=forms.TextInput(attrs={'class': 'span12'}))
    # tipo = forms.IntegerField(widget=forms.Select(attrs={'class': 'span12'}))

    class Meta:
        model = Unidad_Medica
        fields = (
            'clave',
            'nombre',
            'tipounidad',
            'municipio',
            'localidad',
            'id_tipo',
            'id_nivel_um',
            'id_estatus',
        )

        widgets = {
            'clave': forms.TextInput(attrs={'class': 'span12'}),
            'nombre': forms.TextInput(attrs={'class': 'span12'}),
            'tipounidad': forms.TextInput(attrs={'class': 'span12'}),
            'id_tipo': forms.Select(attrs={'class': 'span12'}),
            'id_nivel_um': forms.Select(attrs={'class': 'span12'}),
            'id_estatus': forms.Select(attrs={'class': 'span12'}),
        }

class AnioForm(forms.Form):
    anioopcion = (('2013','2013'),('2014','2014'),('2015','2015'),('2016','2016'),('2017','2017'),('2018','2018'),)
    formatoopcion = (('xls','excel'),('PDF','pdf'),)
    anio = forms.ChoiceField(label="Año",choices=anioopcion,widget=forms.Select())
    formato = forms.ChoiceField(label="Formato",choices=formatoopcion,widget=forms.Select())