# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Estado'
        db.create_table(u'principal_estado', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('nombre', self.gf('django.db.models.fields.CharField')(max_length=50)),
        ))
        db.send_create_signal(u'principal', ['Estado'])

        # Adding model 'Municipio'
        db.create_table(u'principal_municipio', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('id_estado', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Estado'])),
            ('nombre', self.gf('django.db.models.fields.TextField')()),
            ('clave', self.gf('django.db.models.fields.CharField')(max_length=15, null=True, blank=True)),
        ))
        db.send_create_signal(u'principal', ['Municipio'])

        # Adding model 'Localidad'
        db.create_table(u'principal_localidad', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('id_municipio', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Municipio'])),
            ('nombre', self.gf('django.db.models.fields.TextField')()),
            ('listo', self.gf('django.db.models.fields.CharField')(max_length=2)),
        ))
        db.send_create_signal(u'principal', ['Localidad'])

        # Adding model 'DerechoHabiente'
        db.create_table(u'principal_derechohabiente', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('clave', self.gf('django.db.models.fields.TextField')()),
            ('descripcion', self.gf('django.db.models.fields.TextField')()),
        ))
        db.send_create_signal(u'principal', ['DerechoHabiente'])

        # Adding model 'Servicio'
        db.create_table(u'principal_servicio', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('descripcion', self.gf('django.db.models.fields.TextField')()),
        ))
        db.send_create_signal(u'principal', ['Servicio'])

        # Adding model 'Estatus'
        db.create_table(u'principal_estatus', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('descripcion', self.gf('django.db.models.fields.CharField')(max_length=100)),
        ))
        db.send_create_signal(u'principal', ['Estatus'])

        # Adding model 'Tipo'
        db.create_table(u'principal_tipo', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('clave', self.gf('django.db.models.fields.CharField')(max_length=15)),
            ('descripcion', self.gf('django.db.models.fields.TextField')()),
            ('fecha', self.gf('django.db.models.fields.DateField')()),
        ))
        db.send_create_signal(u'principal', ['Tipo'])

        # Adding model 'Nivel_Um'
        db.create_table(u'principal_nivel_um', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('descripcion', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('fecha', self.gf('django.db.models.fields.DateField')(max_length=20)),
        ))
        db.send_create_signal(u'principal', ['Nivel_Um'])

        # Adding model 'Nivel'
        db.create_table(u'principal_nivel', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('tipo', self.gf('django.db.models.fields.CharField')(max_length=20)),
            ('clave', self.gf('django.db.models.fields.CharField')(max_length=20)),
            ('descripcion', self.gf('django.db.models.fields.CharField')(max_length=200)),
        ))
        db.send_create_signal(u'principal', ['Nivel'])

        # Adding model 'Metas_Mensual'
        db.create_table(u'principal_metas_mensual', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('detecciones', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('subsecuentes', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('id_nivel_um', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Nivel_Um'])),
        ))
        db.send_create_signal(u'principal', ['Metas_Mensual'])

        # Adding model 'Cie_10'
        db.create_table(u'principal_cie_10', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('letra', self.gf('django.db.models.fields.CharField')(max_length=5)),
            ('causa', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('a', self.gf('django.db.models.fields.CharField')(max_length=15)),
            ('nombre', self.gf('django.db.models.fields.CharField')(max_length=400)),
            ('anio_modif', self.gf('django.db.models.fields.CharField')(max_length=400, null=True, blank=True)),
            ('id_estatus', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Estatus'])),
        ))
        db.send_create_signal(u'principal', ['Cie_10'])

        # Adding model 'Tx_Farm'
        db.create_table(u'principal_tx_farm', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('clave', self.gf('django.db.models.fields.CharField')(max_length=20)),
            ('descripcion', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('id_estatus', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Estatus'])),
        ))
        db.send_create_signal(u'principal', ['Tx_Farm'])

        # Adding model 'Tipo_Profesion'
        db.create_table(u'principal_tipo_profesion', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('clave', self.gf('django.db.models.fields.CharField')(max_length=20)),
            ('descripcion', self.gf('django.db.models.fields.CharField')(max_length=200)),
        ))
        db.send_create_signal(u'principal', ['Tipo_Profesion'])

        # Adding model 'Tipo_Egreso'
        db.create_table(u'principal_tipo_egreso', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('descripcion', self.gf('django.db.models.fields.CharField')(max_length=200)),
        ))
        db.send_create_signal(u'principal', ['Tipo_Egreso'])

        # Adding model 'Unidad_Medica'
        db.create_table(u'principal_unidad_medica', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('tipounidad', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('clave', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('nombre', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('id_estatus', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Estatus'])),
            ('id_estado', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Estado'])),
            ('id_municipio', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Municipio'])),
            ('id_localidad', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Localidad'])),
            ('id_tipo', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Tipo'])),
            ('id_nivel_um', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Nivel_Um'])),
        ))
        db.send_create_signal(u'principal', ['Unidad_Medica'])

        # Adding model 'Responsable_Atencion'
        db.create_table(u'principal_responsable_atencion', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('id_tipo_prof', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Tipo_Profesion'])),
            ('id_municipio', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Municipio'])),
            ('id_unidad_medica', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Unidad_Medica'], null=True, blank=True)),
            ('nombre', self.gf('django.db.models.fields.CharField')(max_length=30)),
            ('ap_paterno', self.gf('django.db.models.fields.CharField')(max_length=30)),
            ('ap_materno', self.gf('django.db.models.fields.CharField')(max_length=30)),
            ('edad', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
            ('id_estatus', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Estatus'])),
        ))
        db.send_create_signal(u'principal', ['Responsable_Atencion'])

        # Adding model 'Paciente'
        db.create_table(u'principal_paciente', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('rfc', self.gf('django.db.models.fields.CharField')(max_length=20)),
            ('nombre', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('ap_paterno', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('ap_materno', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('sexo', self.gf('django.db.models.fields.CharField')(max_length=10)),
            ('edad', self.gf('django.db.models.fields.IntegerField')(max_length=3)),
            ('id_derechohabiente', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.DerechoHabiente'])),
            ('id_municipio', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Municipio'])),
            ('id_user', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'])),
            ('id_estado', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Estado'])),
        ))
        db.send_create_signal(u'principal', ['Paciente'])

        # Adding model 'Hist_Datos_Pacientes'
        db.create_table(u'principal_hist_datos_pacientes', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('id_paciente', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Paciente'])),
            ('fecha_Modif', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('id_derechohabiente', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.DerechoHabiente'])),
            ('id_municipio', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Municipio'])),
            ('id_user', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'])),
            ('id_estado', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Estado'])),
        ))
        db.send_create_signal(u'principal', ['Hist_Datos_Pacientes'])

        # Adding model 'Deteccion'
        db.create_table(u'principal_deteccion', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('fecha_atencion', self.gf('django.db.models.fields.DateField')()),
            ('tipo_riesgo', self.gf('django.db.models.fields.CharField')(max_length=40)),
            ('id_paciente', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Paciente'])),
            ('id_municipio', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Municipio'])),
            ('id_servicio', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Servicio'])),
            ('id_responsable_atencion', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Responsable_Atencion'])),
            ('id_tx_farm', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Tx_Farm'])),
            ('id_unidad_medica', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Unidad_Medica'])),
            ('id_cie_10', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Cie_10'])),
            ('num_aplicacion', self.gf('django.db.models.fields.CharField')(max_length=10, null=True, blank=True)),
            ('id_nivel', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Nivel'], null=True, blank=True)),
            ('id_estatus', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Estatus'])),
            ('id_user', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'])),
            ('id_estado', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Estado'])),
        ))
        db.send_create_signal(u'principal', ['Deteccion'])

        # Adding model 'Subsecuente'
        db.create_table(u'principal_subsecuente', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('fecha', self.gf('django.db.models.fields.DateField')()),
            ('id_deteccion', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Deteccion'])),
            ('id_user', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'])),
            ('seguimiento', self.gf('django.db.models.fields.CharField')(max_length=2)),
        ))
        db.send_create_signal(u'principal', ['Subsecuente'])

        # Adding model 'Egreso'
        db.create_table(u'principal_egreso', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('fecha', self.gf('django.db.models.fields.DateField')()),
            ('num_aplicacion', self.gf('django.db.models.fields.CharField')(max_length=10, null=True, blank=True)),
            ('referencia', self.gf('django.db.models.fields.CharField')(max_length=40, null=True, blank=True)),
            ('id_deteccion', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Deteccion'])),
            ('id_nivel', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Nivel'], null=True, blank=True)),
            ('id_tipo_egreso', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['principal.Tipo_Egreso'])),
            ('id_user', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'])),
        ))
        db.send_create_signal(u'principal', ['Egreso'])


    def backwards(self, orm):
        # Deleting model 'Estado'
        db.delete_table(u'principal_estado')

        # Deleting model 'Municipio'
        db.delete_table(u'principal_municipio')

        # Deleting model 'Localidad'
        db.delete_table(u'principal_localidad')

        # Deleting model 'DerechoHabiente'
        db.delete_table(u'principal_derechohabiente')

        # Deleting model 'Servicio'
        db.delete_table(u'principal_servicio')

        # Deleting model 'Estatus'
        db.delete_table(u'principal_estatus')

        # Deleting model 'Tipo'
        db.delete_table(u'principal_tipo')

        # Deleting model 'Nivel_Um'
        db.delete_table(u'principal_nivel_um')

        # Deleting model 'Nivel'
        db.delete_table(u'principal_nivel')

        # Deleting model 'Metas_Mensual'
        db.delete_table(u'principal_metas_mensual')

        # Deleting model 'Cie_10'
        db.delete_table(u'principal_cie_10')

        # Deleting model 'Tx_Farm'
        db.delete_table(u'principal_tx_farm')

        # Deleting model 'Tipo_Profesion'
        db.delete_table(u'principal_tipo_profesion')

        # Deleting model 'Tipo_Egreso'
        db.delete_table(u'principal_tipo_egreso')

        # Deleting model 'Unidad_Medica'
        db.delete_table(u'principal_unidad_medica')

        # Deleting model 'Responsable_Atencion'
        db.delete_table(u'principal_responsable_atencion')

        # Deleting model 'Paciente'
        db.delete_table(u'principal_paciente')

        # Deleting model 'Hist_Datos_Pacientes'
        db.delete_table(u'principal_hist_datos_pacientes')

        # Deleting model 'Deteccion'
        db.delete_table(u'principal_deteccion')

        # Deleting model 'Subsecuente'
        db.delete_table(u'principal_subsecuente')

        # Deleting model 'Egreso'
        db.delete_table(u'principal_egreso')


    models = {
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        u'auth.permission': {
            'Meta': {'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'unique_together': "((u'content_type', u'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "u'user_set'", 'blank': 'True', 'to': u"orm['auth.Group']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "u'user_set'", 'blank': 'True', 'to': u"orm['auth.Permission']"}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'principal.cie_10': {
            'Meta': {'object_name': 'Cie_10'},
            'a': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            'anio_modif': ('django.db.models.fields.CharField', [], {'max_length': '400', 'null': 'True', 'blank': 'True'}),
            'causa': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_estatus': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Estatus']"}),
            'letra': ('django.db.models.fields.CharField', [], {'max_length': '5'}),
            'nombre': ('django.db.models.fields.CharField', [], {'max_length': '400'})
        },
        u'principal.derechohabiente': {
            'Meta': {'object_name': 'DerechoHabiente'},
            'clave': ('django.db.models.fields.TextField', [], {}),
            'descripcion': ('django.db.models.fields.TextField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'principal.deteccion': {
            'Meta': {'object_name': 'Deteccion'},
            'fecha_atencion': ('django.db.models.fields.DateField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_cie_10': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Cie_10']"}),
            'id_estado': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Estado']"}),
            'id_estatus': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Estatus']"}),
            'id_municipio': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Municipio']"}),
            'id_nivel': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Nivel']", 'null': 'True', 'blank': 'True'}),
            'id_paciente': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Paciente']"}),
            'id_responsable_atencion': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Responsable_Atencion']"}),
            'id_servicio': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Servicio']"}),
            'id_tx_farm': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Tx_Farm']"}),
            'id_unidad_medica': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Unidad_Medica']"}),
            'id_user': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'num_aplicacion': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'tipo_riesgo': ('django.db.models.fields.CharField', [], {'max_length': '40'})
        },
        u'principal.egreso': {
            'Meta': {'object_name': 'Egreso'},
            'fecha': ('django.db.models.fields.DateField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_deteccion': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Deteccion']"}),
            'id_nivel': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Nivel']", 'null': 'True', 'blank': 'True'}),
            'id_tipo_egreso': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Tipo_Egreso']"}),
            'id_user': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'num_aplicacion': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'referencia': ('django.db.models.fields.CharField', [], {'max_length': '40', 'null': 'True', 'blank': 'True'})
        },
        u'principal.estado': {
            'Meta': {'object_name': 'Estado'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nombre': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'principal.estatus': {
            'Meta': {'object_name': 'Estatus'},
            'descripcion': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'principal.hist_datos_pacientes': {
            'Meta': {'object_name': 'Hist_Datos_Pacientes'},
            'fecha_Modif': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_derechohabiente': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.DerechoHabiente']"}),
            'id_estado': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Estado']"}),
            'id_municipio': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Municipio']"}),
            'id_paciente': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Paciente']"}),
            'id_user': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"})
        },
        u'principal.localidad': {
            'Meta': {'object_name': 'Localidad'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_municipio': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Municipio']"}),
            'listo': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            'nombre': ('django.db.models.fields.TextField', [], {})
        },
        u'principal.metas_mensual': {
            'Meta': {'object_name': 'Metas_Mensual'},
            'detecciones': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_nivel_um': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Nivel_Um']"}),
            'subsecuentes': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        u'principal.municipio': {
            'Meta': {'object_name': 'Municipio'},
            'clave': ('django.db.models.fields.CharField', [], {'max_length': '15', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_estado': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Estado']"}),
            'nombre': ('django.db.models.fields.TextField', [], {})
        },
        u'principal.nivel': {
            'Meta': {'object_name': 'Nivel'},
            'clave': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'descripcion': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'tipo': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        },
        u'principal.nivel_um': {
            'Meta': {'object_name': 'Nivel_Um'},
            'descripcion': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'fecha': ('django.db.models.fields.DateField', [], {'max_length': '20'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'principal.paciente': {
            'Meta': {'object_name': 'Paciente'},
            'ap_materno': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'ap_paterno': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'edad': ('django.db.models.fields.IntegerField', [], {'max_length': '3'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_derechohabiente': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.DerechoHabiente']"}),
            'id_estado': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Estado']"}),
            'id_municipio': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Municipio']"}),
            'id_user': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'nombre': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'rfc': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'sexo': ('django.db.models.fields.CharField', [], {'max_length': '10'})
        },
        u'principal.responsable_atencion': {
            'Meta': {'object_name': 'Responsable_Atencion'},
            'ap_materno': ('django.db.models.fields.CharField', [], {'max_length': '30'}),
            'ap_paterno': ('django.db.models.fields.CharField', [], {'max_length': '30'}),
            'edad': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_estatus': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Estatus']"}),
            'id_municipio': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Municipio']"}),
            'id_tipo_prof': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Tipo_Profesion']"}),
            'id_unidad_medica': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Unidad_Medica']", 'null': 'True', 'blank': 'True'}),
            'nombre': ('django.db.models.fields.CharField', [], {'max_length': '30'})
        },
        u'principal.servicio': {
            'Meta': {'object_name': 'Servicio'},
            'descripcion': ('django.db.models.fields.TextField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'principal.subsecuente': {
            'Meta': {'object_name': 'Subsecuente'},
            'fecha': ('django.db.models.fields.DateField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_deteccion': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Deteccion']"}),
            'id_user': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'seguimiento': ('django.db.models.fields.CharField', [], {'max_length': '2'})
        },
        u'principal.tipo': {
            'Meta': {'object_name': 'Tipo'},
            'clave': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            'descripcion': ('django.db.models.fields.TextField', [], {}),
            'fecha': ('django.db.models.fields.DateField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'principal.tipo_egreso': {
            'Meta': {'object_name': 'Tipo_Egreso'},
            'descripcion': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'principal.tipo_profesion': {
            'Meta': {'object_name': 'Tipo_Profesion'},
            'clave': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'descripcion': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'principal.tx_farm': {
            'Meta': {'object_name': 'Tx_Farm'},
            'clave': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'descripcion': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_estatus': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Estatus']"})
        },
        u'principal.unidad_medica': {
            'Meta': {'object_name': 'Unidad_Medica'},
            'clave': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_estado': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Estado']"}),
            'id_estatus': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Estatus']"}),
            'id_localidad': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Localidad']"}),
            'id_municipio': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Municipio']"}),
            'id_nivel_um': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Nivel_Um']"}),
            'id_tipo': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Tipo']"}),
            'nombre': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'tipounidad': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        }
    }

    complete_apps = ['principal']