# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Deleting field 'Unidad_Medica.id_municipio'
        db.delete_column(u'principal_unidad_medica', 'id_municipio_id')

        # Deleting field 'Unidad_Medica.id_estado'
        db.delete_column(u'principal_unidad_medica', 'id_estado_id')


        # Changing field 'Unidad_Medica.clave'
        db.alter_column(u'principal_unidad_medica', 'clave', self.gf('django.db.models.fields.CharField')(max_length=15))

        # Changing field 'Unidad_Medica.nombre'
        db.alter_column(u'principal_unidad_medica', 'nombre', self.gf('django.db.models.fields.CharField')(max_length=150))

    def backwards(self, orm):
        # Adding field 'Unidad_Medica.id_municipio'
        db.add_column(u'principal_unidad_medica', 'id_municipio',
                      self.gf('django.db.models.fields.related.ForeignKey')(default='', to=orm['principal.Municipio']),
                      keep_default=False)

        # Adding field 'Unidad_Medica.id_estado'
        db.add_column(u'principal_unidad_medica', 'id_estado',
                      self.gf('django.db.models.fields.related.ForeignKey')(default='', to=orm['principal.Estado']),
                      keep_default=False)


        # Changing field 'Unidad_Medica.clave'
        db.alter_column(u'principal_unidad_medica', 'clave', self.gf('django.db.models.fields.CharField')(max_length=200))

        # Changing field 'Unidad_Medica.nombre'
        db.alter_column(u'principal_unidad_medica', 'nombre', self.gf('django.db.models.fields.CharField')(max_length=200))

    models = {
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        u'auth.permission': {
            'Meta': {'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'unique_together': "((u'content_type', u'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "u'user_set'", 'blank': 'True', 'to': u"orm['auth.Group']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "u'user_set'", 'blank': 'True', 'to': u"orm['auth.Permission']"}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'principal.cie_10': {
            'Meta': {'object_name': 'Cie_10'},
            'a': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            'anio_modif': ('django.db.models.fields.CharField', [], {'max_length': '400', 'null': 'True', 'blank': 'True'}),
            'causa': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_estatus': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Estatus']"}),
            'letra': ('django.db.models.fields.CharField', [], {'max_length': '5'}),
            'nombre': ('django.db.models.fields.CharField', [], {'max_length': '400'})
        },
        u'principal.derechohabiente': {
            'Meta': {'object_name': 'DerechoHabiente'},
            'clave': ('django.db.models.fields.TextField', [], {}),
            'descripcion': ('django.db.models.fields.TextField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'principal.deteccion': {
            'Meta': {'object_name': 'Deteccion'},
            'fecha_atencion': ('django.db.models.fields.DateField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_cie_10': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Cie_10']"}),
            'id_estado': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Estado']"}),
            'id_estatus': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Estatus']"}),
            'id_municipio': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Municipio']"}),
            'id_nivel': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Nivel']", 'null': 'True', 'blank': 'True'}),
            'id_paciente': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Paciente']"}),
            'id_responsable_atencion': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Responsable_Atencion']"}),
            'id_servicio': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Servicio']"}),
            'id_tx_farm': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Tx_Farm']"}),
            'id_unidad_medica': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Unidad_Medica']"}),
            'id_user': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'num_aplicacion': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'tipo_riesgo': ('django.db.models.fields.CharField', [], {'max_length': '40'})
        },
        u'principal.egreso': {
            'Meta': {'object_name': 'Egreso'},
            'fecha': ('django.db.models.fields.DateField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_deteccion': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Deteccion']"}),
            'id_nivel': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Nivel']", 'null': 'True', 'blank': 'True'}),
            'id_tipo_egreso': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Tipo_Egreso']"}),
            'id_user': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'num_aplicacion': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'referencia': ('django.db.models.fields.CharField', [], {'max_length': '40', 'null': 'True', 'blank': 'True'})
        },
        u'principal.estado': {
            'Meta': {'object_name': 'Estado'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nombre': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'principal.estatus': {
            'Meta': {'object_name': 'Estatus'},
            'descripcion': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'principal.hist_datos_pacientes': {
            'Meta': {'object_name': 'Hist_Datos_Pacientes'},
            'fecha_Modif': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_derechohabiente': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.DerechoHabiente']"}),
            'id_estado': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Estado']"}),
            'id_municipio': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Municipio']"}),
            'id_paciente': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Paciente']"}),
            'id_user': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"})
        },
        u'principal.localidad': {
            'Meta': {'object_name': 'Localidad'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_municipio': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Municipio']"}),
            'listo': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            'nombre': ('django.db.models.fields.TextField', [], {})
        },
        u'principal.metas_mensual': {
            'Meta': {'object_name': 'Metas_Mensual'},
            'detecciones': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_nivel_um': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Nivel_Um']"}),
            'subsecuentes': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        u'principal.municipio': {
            'Meta': {'object_name': 'Municipio'},
            'clave': ('django.db.models.fields.CharField', [], {'max_length': '15', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_estado': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Estado']"}),
            'nombre': ('django.db.models.fields.TextField', [], {})
        },
        u'principal.nivel': {
            'Meta': {'object_name': 'Nivel'},
            'clave': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'descripcion': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'tipo': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        },
        u'principal.nivel_um': {
            'Meta': {'object_name': 'Nivel_Um'},
            'descripcion': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'fecha': ('django.db.models.fields.DateField', [], {'max_length': '20'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'principal.paciente': {
            'Meta': {'object_name': 'Paciente'},
            'ap_materno': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'ap_paterno': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'edad': ('django.db.models.fields.IntegerField', [], {'max_length': '3'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_derechohabiente': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.DerechoHabiente']"}),
            'id_estado': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Estado']"}),
            'id_municipio': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Municipio']"}),
            'id_user': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'nombre': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'rfc': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'sexo': ('django.db.models.fields.CharField', [], {'max_length': '10'})
        },
        u'principal.responsable_atencion': {
            'Meta': {'object_name': 'Responsable_Atencion'},
            'ap_materno': ('django.db.models.fields.CharField', [], {'max_length': '30'}),
            'ap_paterno': ('django.db.models.fields.CharField', [], {'max_length': '30'}),
            'edad': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_estatus': ('django.db.models.fields.related.ForeignKey', [], {'default': '1', 'to': u"orm['principal.Estatus']"}),
            'id_municipio': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Municipio']"}),
            'id_tipo_prof': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Tipo_Profesion']"}),
            'id_unidad_medica': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Unidad_Medica']", 'null': 'True', 'blank': 'True'}),
            'nombre': ('django.db.models.fields.CharField', [], {'max_length': '30'})
        },
        u'principal.servicio': {
            'Meta': {'object_name': 'Servicio'},
            'descripcion': ('django.db.models.fields.TextField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'principal.subsecuente': {
            'Meta': {'object_name': 'Subsecuente'},
            'fecha': ('django.db.models.fields.DateField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_deteccion': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Deteccion']"}),
            'id_user': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'seguimiento': ('django.db.models.fields.CharField', [], {'max_length': '2'})
        },
        u'principal.tipo': {
            'Meta': {'object_name': 'Tipo'},
            'clave': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            'descripcion': ('django.db.models.fields.TextField', [], {}),
            'fecha': ('django.db.models.fields.DateField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'principal.tipo_egreso': {
            'Meta': {'object_name': 'Tipo_Egreso'},
            'descripcion': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'principal.tipo_profesion': {
            'Meta': {'object_name': 'Tipo_Profesion'},
            'clave': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'descripcion': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'principal.tx_farm': {
            'Meta': {'object_name': 'Tx_Farm'},
            'clave': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'descripcion': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_estatus': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Estatus']"})
        },
        u'principal.unidad_medica': {
            'Meta': {'object_name': 'Unidad_Medica'},
            'clave': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_estatus': ('django.db.models.fields.related.ForeignKey', [], {'default': '1', 'to': u"orm['principal.Estatus']"}),
            'id_localidad': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Localidad']"}),
            'id_nivel_um': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Nivel_Um']"}),
            'id_tipo': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['principal.Tipo']"}),
            'nombre': ('django.db.models.fields.CharField', [], {'max_length': '150'}),
            'tipounidad': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        }
    }

    complete_apps = ['principal']